<?php

/**
 * @file
 * Display a mob's current battle stats.
 *
 * Available variables:
 * - $state: The current game state this mob will be displayed from.
 * - $uid: The user ID of the player whose mob will be themed.
 * - $mob_num: The mob number of the player's party who will be themed.
 */

 $starting  = $state['battle']['players'][$uid]['starting_party'][$mob_num];
 $current   = $state['battle']['players'][$uid]['current_party'][$mob_num];
 $mob_desc  = t('@mob_name: @mob_description', array('@mob_name' => $current['name'], '@mob_description' => !empty($current['description']) ? $current['description'] : t('No description available.')));
 $mob_desc  = drupal_validate_utf8($mob_desc) ? addslashes($mob_desc) : ''; // addslashes, and not check_plain, cos we don't escaped quotes, not encoded quotes, for our attributes.
?>
<div class="game-mob game-battle-mob">
  <div class="game-mob-header clear-block">
    <div class="game-mob-name game-mob-cluetip" title="<?php print $mob_desc; ?>">
      <?php print t('@mob_num: @mob_name', array('@mob_num' => $mob_num, '@mob_name' => $current['name'])); ?>
    </div>
    <div class="game-mob-points"><?php print check_plain($current['points']); ?></div>
  </div>

  <div class="game-mob-stats">
    <div class="game-mob-image"><?php print theme('image', $current['image'], $mob_desc, $mob_desc, array('class' => 'game-mob-cluetip')); ?></div>

    <div class="game-mob-stat game-mob-stat-hp">
      <div class="game-mob-hp">
        <div class="game-mob-stat-label game-mob-hp-label"><?php print t('Hit points:'); ?></div>
        <div class="game-mob-stat-value game-mob-hp-value"><?php print check_plain($current['hp']); ?>/<?php print check_plain($starting['hp']); ?></div>
      </div>
    </div>

    <div class="game-mob-stat game-mob-stat-armor">
      <div class="game-mob-armor">
        <div class="game-mob-stat-label game-mob-armor-label"><?php print t('Armor:'); ?></div>
        <div class="game-mob-stat-value game-mob-armor-value"><?php print check_plain($current['armor']); ?></div>
      </div>
    </div>

    <div class="game-mob-stat game-mob-stat-defense">
      <div class="game-mob-defense">
        <div class="game-mob-stat-label game-mob-defense-label"><?php print t('Defense:'); ?></div>
        <div class="game-mob-stat-value game-mob-defense-value"><?php print check_plain($current['defense']); ?></div>
      </div>
    </div>
  </div>

  <div class="game-mob-capabilities">
    <?php print game_mob_capabilities($current); ?>
  </div>
</div>
