<?php

/**
 * @file
 * Display a battle's game play area and turn form.
 *
 * Available variables:
 * - $form: The Form API $form, prepared for theming.
 *   The current game state is stored inside $form['game']['#state'].
 */

  global $user; // self vs. opponents.
  $state = $form['game']['#state'];

  $total_mobs = 0; // count maximum number of mobs for CSS style.
  foreach (game_battle_players($state) as $player_uid) {
    $mobs = count(game_battle_mobs($state, $player_uid));
    $total_mobs = $mobs > $total_mobs ? $mobs : $total_mobs;
  }
?>
<div id="game-battle-play-area" class="game-battle-mob-count-<?php print $total_mobs; ?>">
  <?php foreach (game_battle_opponents($state, array($user->uid)) as $opponent_uid) { ?>
    <div class="game-battle-opponent-party-area game-battle-party-area clear-block">
      <div class="game-battle-opponent-party-area-inner game-battle-party-area-inner">
        <div class="game-battle-player">
           <?php print $state['battle']['players'][$opponent_uid]['name']; ?>
        </div>
        <div class="game-battle-mobs"><div class="game-battle-mobs-inner">
          <?php foreach (array_keys($state['battle']['players'][$opponent_uid]['current_party']) as $mob_num) { ?>
            <?php print theme('game_battle_mob', $state, $opponent_uid, $mob_num); ?>
          <?php } ?>
        </div></div>
      </div>
    </div>
  <?php } ?>

  <div class="game-battle-self-party-area game-battle-party-area clear-block">
    <div class="game-battle-self-party-area-inner game-battle-party-area-inner">
      <div class="game-battle-player">
        <?php print $state['battle']['players'][$user->uid]['name']; ?>
      </div>
      <div class="game-battle-mobs"><div class="game-battle-mobs-inner">
        <?php foreach (array_keys($state['battle']['players'][$user->uid]['current_party']) as $mob_num) { ?>
          <?php print theme('game_battle_mob', $state, $user->uid, $mob_num); ?>
        <?php } ?>
      </div></div>
    </div>
  </div>

  <div class="game-battle-self-submit">
    <?php print drupal_render($form['submit']); ?>
  </div>
</div>

<div id="game-log" class="game-battle-log"><?php
  foreach (game_log_recent($user->uid, game_battle_bundle($state)) as $log) {
    // show the log messages to the user for the current battle. we have a jquery thingy that force scrolls to the end.
    print '<div class="game-log-type-' . $log->type . '">' . t($log->message, unserialize($log->variables)) . '</div>';
  }
?></div>

<?php print drupal_render($form); ?>